| Flutter Linux Embedder |

Public Member Functions | List of all members
flutter::ByteStreamReader Class Referenceabstract

`#include <byte_streams.h>`

Inheritance diagram for flutter::ByteStreamReader:

## Public Member Functions
| ByteStreamReader ()=default
virtual | ~ByteStreamReader ()=default
virtual uint8_t | ReadByte ()=0
virtual void | ReadBytes (uint8_t *buffer, size_t length)=0
virtual void | ReadAlignment (uint8_t alignment)=0
int32_t | ReadInt32 ()
int64_t | ReadInt64 ()
double | ReadDouble ()

## Detailed Description

Definition at line 13 of file byte_streams.h.

## Constructor & Destructor Documentation

## ◆ ByteStreamReader()

flutter::ByteStreamReader::ByteStreamReader | ( |  | ) |
| explicitdefault

## ◆ ~ByteStreamReader()

virtual flutter::ByteStreamReader::~ByteStreamReader | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ ReadAlignment()

virtual void flutter::ByteStreamReader::ReadAlignment | ( | uint8_t | alignment | ) |
| pure virtual

Implemented in flutter::ByteBufferStreamReader.

Referenced by flutter::StandardCodecSerializer::ReadValueOfType().

## ◆ ReadByte()

virtual uint8_t flutter::ByteStreamReader::ReadByte | ( |  | ) |
| pure virtual

Implemented in flutter::ByteBufferStreamReader.

Referenced by flutter::StandardCodecSerializer::ReadSize(), and flutter::StandardCodecSerializer::ReadValue().

## ◆ ReadBytes()

virtual void flutter::ByteStreamReader::ReadBytes | ( | uint8_t * | buffer,
|  | size_t | length
| ) |  |
| pure virtual

Implemented in flutter::ByteBufferStreamReader.

Referenced by ReadDouble(), ReadInt32(), ReadInt64(), flutter::StandardCodecSerializer::ReadSize(), and flutter::StandardCodecSerializer::ReadValueOfType().

## ◆ ReadDouble()

double flutter::ByteStreamReader::ReadDouble | ( |  | ) |
| inline

Definition at line 44 of file byte_streams.h.

44 {
45 double value = 0;
46 ReadBytes(reinterpret_cast<uint8_t*>(&value), 8);
47 return value;
48 }
flutter::ByteStreamReader::ReadBytes
virtual void ReadBytes(uint8_t *buffer, size_t length)=0
value
uint8_t value
Definition: fl_standard_message_codec.cc:36

References ReadBytes(), and value.

Referenced by flutter::StandardCodecSerializer::ReadValueOfType().

## ◆ ReadInt32()

int32_t flutter::ByteStreamReader::ReadInt32 | ( |  | ) |
| inline

Definition at line 30 of file byte_streams.h.

30 {
31 int32_t value = 0;
32 ReadBytes(reinterpret_cast<uint8_t*>(&value), 4);
33 return value;
34 }

References ReadBytes(), and value.

Referenced by flutter::StandardCodecSerializer::ReadValueOfType().

## ◆ ReadInt64()

int64_t flutter::ByteStreamReader::ReadInt64 | ( |  | ) |
| inline

Definition at line 37 of file byte_streams.h.

37 {
38 int64_t value = 0;
39 ReadBytes(reinterpret_cast<uint8_t*>(&value), 8);
40 return value;
41 }

References ReadBytes(), and value.

Referenced by flutter::StandardCodecSerializer::ReadValueOfType().

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/byte_streams.h